Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.server
Class OracleSOAPContext

    java.lang.Object
      |
      +--org.apache.soap.rpc.SOAPContext
            |
            +--oracle.soap.server.OracleSOAPContext

public class OracleSOAPContext
extends SOAPContext

`OracleSOAPContext` extends SOAPContext to provide additional context for a SOAP service request. Several properties are pre-defined, and set and get methods are provided for those. In addition, the provider may define additional attributes using `getProperty` and `setProperty`.

Field Summary

Fields inherited from class org.apache.soap.rpc.SOAPContext
`bag, currentId, deserializedMultiRef, loader, multiRef, parts, rootPartSet`

Constructor Summary
`OracleSOAPContext()` Default constructor.

Method Summary
`java.lang.Object` | `getCertificate()` Returns the user certificate.
`javax.servlet.http.HttpServlet` | `getHttpServlet()` Returns the HTTP servlet.
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()` Returns the HTTP servlet request.
`javax.servlet.http.HttpServletResponse` | `getHttpServletResponse()` Returns the HTTP servlet response.
`javax.servlet.http.HttpSession` | `getHttpSession()` Returns the HTTP session.
`java.lang.String` | `getRemoteAddress()` Returns the Internet Protocol (IP) address of the client that sent the request.
`java.lang.String` | `getRemoteHost()` Returns the host name of the client that sent the request.
`java.lang.String` | `getRequestURI()` Returns the URI of the request.
`boolean` | `getSecureChannel()` Returns an indication whether the channel is secure.
`ServiceDeploymentDescriptor` | `getServiceDeploymentDescriptor()` Returns the service deployment descriptor associated with the request/response.
`java.lang.String` | `getUsername()` Returns the protocol-specific username.
`void` | `setCertificate(java.lang.Object certificate)` Set the user certificate.
`void` | `setHttpServlet(javax.servlet.http.HttpServlet servlet)` Set the HTTP servlet.
`void` | `setHttpServletRequest(javax.servlet.http.HttpServletRequest servletRequest)` Set the HTTP servlet request.
`void` | `setHttpServletResponse(javax.servlet.http.HttpServletResponse servletResponse)` Set the HTTP servlet response.
`void` | `setHttpSession(javax.servlet.http.HttpSession session)` Set the HTTP session.
`void` | `setRemoteAddress(java.lang.String remoteAddress)` Set the remote IP address of the client
`void` | `setRemoteHost(java.lang.String remoteHost)` Set the host name of the client making the SOAP request
`void` | `setRequestURI(java.lang.String uri)` Set the URI of the request.
`void` | `setSecureChannel(boolean secureChannel)` Set the indicator of whether the channel is secure.
`void` | `setServiceDeploymentDescriptor(ServiceDeploymentDescriptor serviceDD)` Set the service deployment descriptor associated with the request/response.
`void` | `setUsername(java.lang.String username)` Set the protocol-specific username.

Methods inherited from class org.apache.soap.rpc.SOAPContext
`addBodyPart, addBodyPart, addDeserializedMultiRef, addMultiRef, findBodyPart, findPartByLocation, getBaseURI, getBodyPart, getBodyPart, getClassLoader, getContentType, getCount, getCurrentId, getDeserializedMultiRef, getMultiRefCount, getMultiRefObject, getMultiRefSerializer, getProperty, getPropertyNames, getRootPart, isRootPartSet, loadClass, readMultipart, removeBodyPart, removeProperty, setClassLoader, setCurrentId, setProperty, setRootPart, setRootPart, setRootPart, setSubType, toString, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OracleSOAPContext

    public OracleSOAPContext()

  Default constructor.

Method Detail

### getRequestURI

    public java.lang.String getRequestURI()

  Returns the URI of the request.
  Returns:
    the URI of the request.

### setRequestURI

    public void setRequestURI(java.lang.String uri)

  Set the URI of the request.
  Parameters:
    `uri` - Request URI

### getCertificate

    public java.lang.Object getCertificate()

  Returns the user certificate.
  Returns:
    The user certificate for the user making SOAP request, or `null` if this attribute is not set.

### setCertificate

    public void setCertificate(java.lang.Object certificate)

  Set the user certificate.
  Parameters:
    `certificate` - The user certificate for the user making the SOAP request.

### getHttpServlet

    public javax.servlet.http.HttpServlet getHttpServlet()

  Returns the HTTP servlet.
  Returns:
    The `HttpServlet` that is processing the SOAP request, or `null` if the servlet attribute is not set.

### setHttpServlet

    public void setHttpServlet(javax.servlet.http.HttpServlet servlet)

  Set the HTTP servlet.
  Parameters:
    `servlet` - The `HttpServlet` that is processing the SOAP request.

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest()

  Returns the HTTP servlet request.
  Returns:
    The `HttpServletRequest` for the SOAP request, or `null` if the servlet request attribute is not set.

### setHttpServletRequest

    public void setHttpServletRequest(javax.servlet.http.HttpServletRequest servletRequest)

  Set the HTTP servlet request.
  Parameters:
    `servletRequest` - The `HttpServletRequest` for the SOAP request.

### getHttpServletResponse

    public javax.servlet.http.HttpServletResponse getHttpServletResponse()

  Returns the HTTP servlet response.
  Returns:
    The `HttpServletResponse` for the SOAP response, or `null` if the servlet response attribute is not set.

### setHttpServletResponse

    public void setHttpServletResponse(javax.servlet.http.HttpServletResponse servletResponse)

  Set the HTTP servlet response.
  Parameters:
    `servletResponse` - The `HttpServletResponse` for the SOAP response.

### getHttpSession

    public javax.servlet.http.HttpSession getHttpSession()

  Returns the HTTP session.
  Returns:
    The `HttpSession` for the SOAP request, or `null` if the session attribute is not set.

### setHttpSession

    public void setHttpSession(javax.servlet.http.HttpSession session)

  Set the HTTP session.

### getRemoteAddress

    public java.lang.String getRemoteAddress()

  Returns the Internet Protocol (IP) address of the client that sent the request.
  Returns:
    The remote client's IP address.

### setRemoteAddress

    public void setRemoteAddress(java.lang.String remoteAddress)

  Set the remote IP address of the client
  Parameters:
    `remoteAddress` - The IP address of the client making the SOAP request.

### getRemoteHost

    public java.lang.String getRemoteHost()

  Returns the host name of the client that sent the request.
  Returns:
    The remote client's host name.

### setRemoteHost

    public void setRemoteHost(java.lang.String remoteHost)

  Set the host name of the client making the SOAP request
  Parameters:
    `remoteHost` - The host name of the client making the SOAP request.

### getSecureChannel

    public boolean getSecureChannel()

  Returns an indication whether the channel is secure.
  Returns:
    `true` if the channel is secure, else `false`.

### setSecureChannel

    public void setSecureChannel(boolean secureChannel)

  Set the indicator of whether the channel is secure.
  Parameters:
    `secureChannel` - `true` if the channel is secure, else `false`.

### getUsername

    public java.lang.String getUsername()

  Returns the protocol-specific username.
  Returns:
    The protocol-specific username for the SOAP request, or `null` if this attribute is not set.

### setUsername

    public void setUsername(java.lang.String username)

  Set the protocol-specific username.
  Parameters:
    `username` - The protocol-specific username for the SOAP request.

### getServiceDeploymentDescriptor

    public ServiceDeploymentDescriptor getServiceDeploymentDescriptor()

  Returns the service deployment descriptor associated with the request/response.
  Returns:
    The service deployment descriptor associated with the request/response.

### setServiceDeploymentDescriptor

    public void setServiceDeploymentDescriptor(ServiceDeploymentDescriptor serviceDD)

  Set the service deployment descriptor associated with the request/response.
  Parameters:
    `serviceDD` - The non-null service deployment descriptor associated with the request/response.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.